@model RestoAPI.Models.DB.Menu
@{
    var isEdit = Model.Id > 0;

    var Types = ViewData["Types"] as IEnumerable<KeyValuePair<int, string>>;

    ViewData["Title"] = (isEdit ? "Edit" : "Add") + " Menu";
}

<h2>@(isEdit ? "Edit [" + Model.Name + "]" : "Add New Menu")</h2>

<br />

@Html.Partial("_Message")

<div class="row">
    <div class="col-md-12">
        <form action="" method="post" enctype="multipart/form-data" class="form-horizontal ">
            <div class="card">
                <div class="card-header">
                    <strong>Menu Data</strong>
                </div>
                <div class="card-block">
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Name">Name</label>
                        <div class="col-md-9">
                            <input type="text" id="Name" name="Name" class="form-control" placeholder="Name" value="@Model.Name" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Description">Description</label>
                        <div class="col-md-9">
                            <textarea id="Description" name="Description" rows="9" class="form-control" placeholder="Description.." required>@Model.Description</textarea>
                            <span class="help-block">Detailed information about menu</span>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="FoodType">Food Type</label>
                        <div class="col-md-9">
                            <select id="FoodType" name="Type" class="form-control" size="1" required>
                                <option value="">Please select</option>
                                @foreach (var item in Types)
                                {
                                    var selected = (int)Model.FoodType == item.Key && Model.Id > 0;
                                    <option value="@item.Key" @(selected ? "selected" : "")>@item.Value</option>
                                }
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Picture">Picture</label>
                        <div class="col-md-9">
                            <input type="file" id="Picture" name="Image" @(!isEdit ? "required" : "")>
                            @if (isEdit)
                            {
                                <img style="width:auto; max-width: 100%;" src="@Model.Picture" />
                            }
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label">Active</label>
                        <div class="col-md-9">
                            <label class="checkbox-inline" for="IsActive">
                                <input type="checkbox" id="IsActive" name="IsActive" value="True" @(Model.IsActive ? "checked" : "")>Active
                            </label>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label">Recomended</label>
                        <div class="col-md-9">
                            <label class="checkbox-inline" for="IsRecomended">
                                <input type="checkbox" id="IsRecomended" name="IsRecomended" value="True" @(Model.IsRecomended ? "checked" : "")>Recomend to Guest
                            </label>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Price">Price</label>
                        <div class="col-md-9">
                            <input type="text" id="Price" name="Price" class="form-control" placeholder="20000" value="@(Model.Id > 0 ? Model.Price.ToString() : "")" required>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <input type="hidden" name="Id" value="@Model.Id" />
                    <button type="submit" class="btn btn-sm btn-primary"><i class="fa fa-dot-circle-o"></i> Submit</button>
                    <button type="reset" class="btn btn-sm btn-danger"><i class="fa fa-ban"></i> Reset</button>
                </div>
            </div>
        </form>
    </div>
    <!--/col-->
</div>

